App.SectionsIndexController = Ember.Controller.extend
  #needs: ['application', 'sections', 'index']
  #sections: Ember.computed.alias 'controllers.sections.model'
  sections_controller: Ember.inject.controller('sections')
  sections: Ember.computed.alias 'sections_controller.model'
  newPath: Routes.new_suppliers_section_path()
  actions:
    addSection: -> @modal 'add_section', model: @get('model')
    goToSection: (section)->
      @set 'globals.active_section', section
      @transitionToRoute 'section', section.id
